> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify workflow notification channel

> Verify a workflow-scoped notification channel using a verification code.

<Note>
  Email channels require verification. A 6-digit verification code is sent to the recipient email address when the channel is created. Webhook channels do not require verification.

  For more information, see [Verify the email channel](/api-reference/email#verify-the-email-channel).
</Note>

## Path parameters

<ParamField path="workflow_id" type="string" required>
  The unique identifier of the workflow.
</ParamField>

<ParamField path="channel_id" type="string" required>
  The unique identifier of the notification channel to verify.
</ParamField>

## Body

<ParamField body="verification_code" type="string" required>
  The 6-digit verification code sent to the recipient email address during channel creation.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f/verify" \
    --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
    --header "Content-Type: application/json" \
    --data '{
      "verification_code": "123456"
    }'
  ```

  ```python Python SDK theme={null}
  import os
  from unstructured_client import UnstructuredClient
  from unstructured_client.models.operations import VerifyWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdVerifyPostRequest

  client = UnstructuredClient(
      api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
      server_url=os.getenv("UNSTRUCTURED_API_URL"),
  )

  response = client.workflows.verify_workflow_channel(
      request=VerifyWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdVerifyPostRequest(
          workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
          channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
          verification_code="123456",
      )
  )
  print(response)
  ```

  ```python Python SDK (async) theme={null}
  import asyncio
  import os
  from unstructured_client import UnstructuredClient
  from unstructured_client.models.operations import VerifyWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdVerifyPostRequest

  async def verify_workflow_channel():
      client = UnstructuredClient(
          api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
          server_url=os.getenv("UNSTRUCTURED_API_URL"),
      )
      response = await client.workflows.verify_workflow_channel_async(
          request=VerifyWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdVerifyPostRequest(
              workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
              channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
              verification_code="123456",
          )
      )
      print(response)

  asyncio.run(verify_workflow_channel())
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {}
  ```
</ResponseExample>
